> For the complete documentation index, see [llms.txt](https://docs.tweetzy.ca/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tweetzy.ca/official-plugins/vouchers/plugin-files.md).

# Plugin Files

### settings.yml

```
Voucher List Menu:
  Title: "&eVouchers"
  Background Item: BLACK_STAINED_GLASS_PANE

Confirm Menu:
  Title: "&eConfirm Redeem"
  Rows: 3
  Background Item: BLACK_STAINED_GLASS_PANE
  Confirm Item:
    Slots: [ 14, 15, 16 ]
    Material: LIME_STAINED_GLASS_PANE
    Name: "&a&lConfirm"
    Lore:
      - ""
      - "&dClick &7to confirm redeem"
  Cancel Item:
    Slots: [ 10, 11, 12 ]
    Material: RED_STAINED_GLASS_PANE
    Name: "&c&lCancel"
    Lore:
      - ""
      - "&dClick &7to cancel redeem"

Reward Select Menu:
  Title: "&eSelect a Reward"
  # If true, vouchers will ignore that reward's chance and always give the user
  # the item they selected
  Always Give: true
  Rows: 3
  Reward Slots: [ 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26 ]
  Background Item: BLACK_STAINED_GLASS_PANE
  Command Item: PAPER
  Command Name: "&e&lCommand Reward"
  Command Lore:
    - ""
    - "&7Command&f: &e{reward_command}"
    - ""
  Command Lore Chance:
    - ""
    - "&7Command&f: &e{reward_command}"
    - "&7Chance&f: &a{reward_chance}&f%"
    - ""

# -------------------------------------------------------------------------------------------------
# * THE FIRST ALIAS IS THE MAIN LABEL, PLEASE DO NOT REMOVE IT. *
# -------------------------------------------------------------------------------------------------
Command_Aliases: [ vouchers, voucher ]

# -------------------------------------------------------------------------------------------------
# What language should we use for messages? If it exists, the language file will be copied
# to your messages/ folder where you can edit it.
# -------------------------------------------------------------------------------------------------
Locale: en

# -------------------------------------------------------------------------------------------------
# The prefix used in front of most chat or console messages
# -------------------------------------------------------------------------------------------------
Prefix: "&8[&eVouchers&8]"

# -------------------------------------------------------------------------------------------------
# We log a console message if an operation takes over the time below (milliseconds).
# Set to -1 to disable.
# -------------------------------------------------------------------------------------------------
Log_Lag_Over_Milis: -1

# -------------------------------------------------------------------------------------------------
# Do not change this value, otherwise it will corrupt your plugin installation!
# -------------------------------------------------------------------------------------------------
Version: 1
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.tweetzy.ca/official-plugins/vouchers/plugin-files.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
